Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cli
Class MfCliCommandUtils

    java.lang.Object
      com.sun.mfwk.cli.MfCliCommandUtils

public class MfCliCommandUtils
extends java.lang.Object

Utility methods for builtin commands. Manages conversions from string to object and object to string.

Since:
  Cacao 1.0
Author:
  Sun Microsystems, Inc.

Field Summary
`static java.lang.String` | `KEYWORD_MARKER` The character used to mark a special keyword
`static java.lang.String` | `NULL_VALUE` The string used to specify a null value

Constructor Summary
`MfCliCommandUtils()`

Method Summary
`static java.lang.String` | `escape(java.lang.String str)` Escapes the keyword marker if any.
`static java.util.Set` | `getCPCIBModuleList(javax.management.MBeanServer mbsref)`
`static java.lang.String[]` | `getCPCIBModuleName(javax.management.MBeanServer mbsref)`
`static java.util.Set` | `getCPInstanceList(javax.management.MBeanServer mbsref, java.lang.String ProductName)`
`static java.lang.String[]` | `getCPInstanceNames(javax.management.MBeanServer mbsref, java.lang.String productName)`
`static java.lang.String` | `getMBeanAttributesInfo(javax.management.MBeanServer mbsref, java.lang.String objectNameString)`
`static java.util.Set` | `getMonitorableObjectList(javax.management.MBeanServer mbsref, java.lang.String productName, java.lang.String instanceName)`
`static java.lang.String[]` | `getMonitorableObjectNames(javax.management.MBeanServer mbsref, java.lang.String productName, java.lang.String instanceName)`
`static java.lang.String` | `getScheduleString(Schedule mySched)`
`static java.lang.String[]` | `split(java.lang.String str)` Splits a `String` into an array of its elements.
`static java.lang.String` | `unescape(java.lang.String str)` Unescapes the keyword marker and Java-encoded unicode/control characters if any.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYWORD_MARKER

    public static final java.lang.String KEYWORD_MARKER

  The character used to mark a special keyword

  See Also:
    Constant Field Values

### NULL_VALUE

    public static final java.lang.String NULL_VALUE

  The string used to specify a null value

  See Also:
    Constant Field Values

Constructor Detail

### MfCliCommandUtils

    public MfCliCommandUtils()

Method Detail

### split

    public static java.lang.String[] split(java.lang.String str)
                                    throws java.lang.Exception

  Splits a `String` into an array of its elements. The splitting logic uses a `StreamTokenizer`.

  Parameters:
    `str` - the string to split
  Returns:
    an array of the elements found by splitting the string
  Throws:
    `java.lang.Exception`

### escape

    public static java.lang.String escape(java.lang.String str)

  Escapes the keyword marker if any. The marker is 'doubled'.

  Parameters:
    `str` - the string to escape
  Returns:
    the string escaped
  Since:
    Cacao 1.0

### unescape

    public static java.lang.String unescape(java.lang.String str)

  Unescapes the keyword marker and Java-encoded unicode/control characters if any. The marker, if 'doubled', is reduced to one.

  Parameters:
    `str` - the string to unescape
  Returns:
    the string unescaped
  Since:
    Cacao 1.0

### getCPCIBModuleList

    public static java.util.Set getCPCIBModuleList(javax.management.MBeanServer mbsref)

### getCPCIBModuleName

    public static java.lang.String[] getCPCIBModuleName(javax.management.MBeanServer mbsref)

### getCPInstanceList

    public static java.util.Set getCPInstanceList(javax.management.MBeanServer mbsref,
                                                  java.lang.String ProductName)

### getCPInstanceNames

    public static java.lang.String[] getCPInstanceNames(javax.management.MBeanServer mbsref,
                                                        java.lang.String productName)

### getMBeanAttributesInfo

    public static java.lang.String getMBeanAttributesInfo(javax.management.MBeanServer mbsref,
                                                          java.lang.String objectNameString)

### getMonitorableObjectList

    public static java.util.Set getMonitorableObjectList(javax.management.MBeanServer mbsref,
                                                         java.lang.String productName,
                                                         java.lang.String instanceName)

### getMonitorableObjectNames

    public static java.lang.String[] getMonitorableObjectNames(javax.management.MBeanServer mbsref,
                                                               java.lang.String productName,
                                                               java.lang.String instanceName)

### getScheduleString

    public static java.lang.String getScheduleString(Schedule mySched)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD